PUT /api/v202405/admin/systemSettings

Edit system settings

EditSystemSettingsV202405 Permissions: ApplicationSettings (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

SystemSettingsRequestV202405
Property Description Type
automaticLogoutMinutes Number of minutes after which users will be automatically logged out Must be between 10 and 780 Required (defined) integer (int32)
billPayCutoverEndDate Cut over date when EnergyCAP officially takes over bill payments. In order to modify this date, the user needs to have Special Permission (ECAP) and LicenseFeatureEnergyCAPPayments. It’s not possible to change the field to null since the value is mandatory for (ECAP) and LicenseFeatureEnergyCAPPayments. For non (ECAP) and/or non LicenseFeatureEnergyCAPPayments users, use null or inform same value provided in the GET endpoint. Required (defined) string (date-time)
defaultCountry Default country for new users Required (defined) string
defaultDateFormat Default date format for new users One of ‘MM/dd/yyyy’, ‘dd/MM/yyyy’ Case sensitive Required (defined) string
defaultMeterTimeZoneId ID of the default time zone for new meters Required integer (int32)
defaultTopmostCollectionId Default topmost collection ID for new users Required (defined) integer (int32)
defaultTopmostCostCenterId Default topmost cost center ID for new users Required (defined) integer (int32)
defaultTopmostPlaceId Default topmost place ID for new users Required (defined) integer (int32)
defaultTopmostSpaceId Default topmost space ID for new users Required (defined) integer (int32)
defaultUserRoleId Default user role ID for new users Required (defined) integer (int32)
displayOrganizationNameInHeader Indicates whether or not organization name should be displayed in the application header Required boolean
monthsToExcludeFromCharts Months to exclude from charts, including the current month. Set to 2 months by default. Ex. If the current month is October, A value of 0 will not exclude any months, A value of 1 will exclude the month of October, A value of 2 will exclude October and September, A value of 3 will exclude October, September, and August, A value of 13 will exclude October and the last full year of data. A null value will preserve the existing setting. Must be between 0 and 13 Required (defined) integer (int32)
organizationLogo The organization logo May be a base64-encoded PNG, JPG, or SVG image or a URI for an image hosted online A null value will clear the saved image Min length of 5 Required (defined) string
organizationName The organization name Required (defined) string
Example Request Body application/json
{  "automaticLogoutMinutes": 1,  "billPayCutoverEndDate": "2026-03-30",  "defaultCountry": "string",  "defaultDateFormat": "string",  "defaultMeterTimeZoneId": 1,  "defaultTopmostCollectionId": 1,  "defaultTopmostCostCenterId": 1,  "defaultTopmostPlaceId": 1,  "defaultTopmostSpaceId": 1,  "defaultUserRoleId": 1,  "displayOrganizationNameInHeader": false,  "monthsToExcludeFromCharts": 1,  "organizationLogo": "string",  "organizationName": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

SystemSettingsResponse
Property Description Type
automaticLogoutMinutes Number of minutes after which users will be automatically logged out integer (int32)
billPayCutoverEndDate Cut over date when EnergyCAP officially takes over bill payments string (date-time)
defaultCollection CollectionChild
CollectionChild properties
Property Description Type
collectionCode The collection code string
collectionIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
collectionId The collection identifier integer (int32)
collectionInfo The collection info string
defaultCostCenter CostCenterChild
CostCenterChild properties
Property Description Type
costCenterCode The cost center code string
costCenterId The cost center identifier integer (int32)
costCenterInfo The cost center info string
defaultCountry Default country for new users string
defaultDateFormat Default date format for new users string
defaultMeterTimeZone TimeZoneResponse
TimeZoneResponse properties
Property Description Type
daylightSavingsObserved Indicates if the time zone observes daylight savings time or not boolean
gmtOffset The time zone gmt offset number (double)
timeZoneCode The time zone code string
timeZoneId The time zone id integer (int32)
timeZoneInfo The time zone info string
defaultTopmostPlace PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
defaultTopmostSpace PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
defaultUserRole SystemUserRoleChild
SystemUserRoleChild properties
Property Description Type
userRoleId The user role identifier integer (int32)
userRoleInfo The user role name string
displayOrganizationNameInHeader Indicates whether or not organization name should be displayed in the application header boolean
monthsToExcludeFromCharts Number of months to exclude from powerview charts integer (int32)
organizationLogo The organization logo May be a base64-encoded PNG, JPG, or SVG image or a URI for an image hosted online A null value will clear the saved image string
organizationName The organization name string
Example Response application/json
{  "automaticLogoutMinutes": 1,  "billPayCutoverEndDate": "2026-03-30",  "defaultCollection": {    "collectionCode": "string",    "collectionIcon": {      "code": "string",      "color": "string"
    },    "collectionId": 1,    "collectionInfo": "string"
  },  "defaultCostCenter": {    "costCenterCode": "string",    "costCenterId": 1,    "costCenterInfo": "string"
  },  "defaultCountry": "string",  "defaultDateFormat": "string",  "defaultMeterTimeZone": {    "daylightSavingsObserved": false,    "gmtOffset": 1.0,    "timeZoneCode": "string",    "timeZoneId": 1,    "timeZoneInfo": "string"
  },  "defaultTopmostPlace": {    "isDataRolledUp": false,    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "placeType": {      "icon": {},      "isSystemPlaceType": false,      "placeEntityType": {},      "placeTypeCode": "string",      "placeTypeId": 1,      "placeTypeInfo": "string",      "structure": false
    }
  },  "defaultTopmostSpace": {    "isDataRolledUp": false,    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "placeType": {      "icon": {},      "isSystemPlaceType": false,      "placeEntityType": {},      "placeTypeCode": "string",      "placeTypeId": 1,      "placeTypeInfo": "string",      "structure": false
    }
  },  "defaultUserRole": {    "userRoleId": 1,    "userRoleInfo": "string"
  },  "displayOrganizationNameInHeader": false,  "monthsToExcludeFromCharts": 1,  "organizationLogo": "string",  "organizationName": "string"
}